/**
 * ContextControlAdditive2.java
 *
 * File generated from the medication2::ContextControlAdditive2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ContextControlAdditive2.
 *
 * 
 */

@XmlType(name = "ContextControlAdditive")
@XmlEnum
@XmlRootElement(name = "ContextControlAdditive2")
public enum ContextControlAdditive2 {
	@XmlEnumValue("AN")
	AN("AN"),
	@XmlEnumValue("AP")
	AP("AP");
	
	private final String value;

    ContextControlAdditive2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ContextControlAdditive2 fromValue(String v) {
        for (ContextControlAdditive2 c: ContextControlAdditive2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
